ServerTransport (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.transport.ServerTransport class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.transport
Class ServerTransport

    java.lang.Object
      org.hyperic.hq.transport.ServerTransport

All Implemented Interfaces:
  ShutdownCallback

    public class ServerTransport

extends java.lang.Object
implements ShutdownCallback

The transport for the HQ server.

Constructor Summary
`ServerTransport(java.net.InetSocketAddress pollerServerBindAddr, int asyncThreadPoolSize)` Creates an instance with an embedded server.
`ServerTransport(int asyncThreadPoolSize)` Creates an instance without an embedded server.

Method Summary
`AgentProxyFactory` | `getAgentProxyFactory()` Retrieve the factory for acquiring proxies to agent services.
`boolean` | `isReady()` Determine if the server transport is ready to handle queries on agent services.
`void` | `shutdown()` Stop the server transport.
`void` | `start()` Start the transport.
`void` | `stop()` Stop the transport.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerTransport

    public ServerTransport(int asyncThreadPoolSize)
                    throws java.lang.Exception

  Creates an instance without an embedded server. This type of transport may be created when connections to the agent transport are managed via an external server (such when the ServerInvokerServlet is deployed in a web container and routes requests to server invocation handlers).

  Parameters:
    `asyncThreadPoolSize` - The thread pool size for the asynchronous invoker.
  Throws:
    `java.lang.Exception` - if instance creation fails.

### ServerTransport

    public ServerTransport(java.net.InetSocketAddress pollerServerBindAddr,
                           int asyncThreadPoolSize)
                    throws java.lang.Exception

  Creates an instance with an embedded server.

  Parameters:
    `pollerServerBindAddr` - The bind address for the unidirectional poller server.
    `asyncThreadPoolSize` - The thread pool size for the asynchronous invoker.
  Throws:
    `java.lang.Exception` - if instance creation fails.

Method Detail

### isReady

    public boolean isReady()

  Determine if the server transport is ready to handle queries on agent services. The transport must be started for this to be `true`.

  Returns:
    `true` if ready to handle queries; `false` otherwise.

### start

    public void start()
               throws java.lang.Exception

  Start the transport.

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Stop the transport. Once stopped, it cannot be started again.

### shutdown

    public void shutdown()

  Stop the server transport.

  Specified by:
    `shutdown` in interface `ShutdownCallback`

### getAgentProxyFactory

    public AgentProxyFactory getAgentProxyFactory()

  Retrieve the factory for acquiring proxies to agent services.

  Returns:
    The agent proxy factory.
  Throws:
    `java.lang.IllegalStateException` - if the server transport is not started.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.